Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Class SwingTreeNodeDataModelImpl

    java.lang.Object
      javax.faces.model.DataModel<E>
          org.ajax4jsf.model.ExtendedDataModel<V>
              org.richfaces.model.TreeSequenceKeyModel<V>
                  org.richfaces.model.NodesTreeSequenceKeyModel<TreeNode>
                      org.richfaces.model.SwingTreeNodeDataModelImpl

All Implemented Interfaces:
  Iterable<TreeNode>, org.richfaces.model.TreeDataModel<TreeNode>

    public class SwingTreeNodeDataModelImpl

extends NodesTreeSequenceKeyModel<TreeNode>

Author:
  Nick Belaevski

Field Summary

Fields inherited from interface org.richfaces.model.TreeDataModel
`SEPARATOR_CHAR`

Constructor Summary
`SwingTreeNodeDataModelImpl()`

Method Summary
`Iterator<org.richfaces.model.TreeDataModelTuple>` | `children()`
`protected TreeNode` | `findChild(TreeNode parent, Integer simpleKey)`
`javax.faces.convert.Converter` | `getRowKeyConverter()`
`Object` | `getWrappedData()`
`boolean` | `isLeaf()`
`protected TreeNode` | `setupChildContext(Object segment)`
`void` | `setWrappedData(Object data)`

Methods inherited from class org.richfaces.model.NodesTreeSequenceKeyModel
`createSnapshot, getRootNode, restoreFromSnapshot, setRootNode, setupKey`

Methods inherited from class org.richfaces.model.TreeSequenceKeyModel
`getData, getParentRowKey, getRowCount, getRowData, getRowIndex, getRowKey, isDataAvailable, isRowAvailable, setData, setRowIndex, setRowKey, setRowKeyAndData, walk`

Methods inherited from class javax.faces.model.DataModel
`addDataModelListener, getDataModelListeners, iterator, removeDataModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwingTreeNodeDataModelImpl

    public SwingTreeNodeDataModelImpl()

Method Detail

### setWrappedData

    public void setWrappedData(Object data)

  Specified by:
    `setWrappedData` in interface `org.richfaces.model.TreeDataModel<TreeNode>`
  Specified by:
    `setWrappedData` in class `javax.faces.model.DataModel<TreeNode>`

### getWrappedData

    public Object getWrappedData()

  Specified by:
    `getWrappedData` in interface `org.richfaces.model.TreeDataModel<TreeNode>`
  Specified by:
    `getWrappedData` in class `javax.faces.model.DataModel<TreeNode>`

### findChild

    protected TreeNode findChild(TreeNode parent,
                                 Integer simpleKey)

### children

    public Iterator<org.richfaces.model.TreeDataModelTuple> children()

### isLeaf

    public boolean isLeaf()

### setupChildContext

    protected TreeNode setupChildContext(Object segment)

  Specified by:
    `setupChildContext` in class `NodesTreeSequenceKeyModel<TreeNode>`

### getRowKeyConverter

    public javax.faces.convert.Converter getRowKeyConverter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.